---
  - name: Copy heat artifacts for each VNF in right onap_tests directories # noqa 301
    become: no
    command:
      "cp -r {{ ansible_env.PWD }}/roles/onboard_NOF/package/ubuntu/. \
      {{ ansible_env.PWD }}/onap_tests/onap_tests/templates\
      /heat_files/NOF_pktgen{{ service_number }}_VF/"
    tags:
        - skip_ansible_lint

  - name: Copy heat artifacts for each VNF in right onap_tests directories # noqa 301
    become: no
    command:
      "cp -r {{ ansible_env.PWD }}/roles/onboard_NOF/package/ubuntu/. \
      {{ ansible_env.PWD }}/onap_tests/onap_tests/templates\
      /heat_files/NOF_vnfut{{ service_number }}_VF/"
    tags:
        - skip_ansible_lint

  - name: set yaml service file and copy it to the right onap_tests directory
    template:
      src:
        "templates/{{ service_name }}-service.j2"
      dest:
        "{{ ansible_env.PWD }}/onap_tests/onap_tests/templates/\
        vnf-services/{{ service_name }}{{ service_number }}-service.yaml"

  - name: Create scripts/onboard directory
    file:
      path: "{{ ansible_env.PWD }}/scripts/onboard"
      state: directory
      mode: '0755'

  - name: set onboard.py with specific vnfName information
    become: no
    template:
      src: templates/onboard.j2
      dest: "{{ ansible_env.PWD }}/scripts/onboard/onboard.py"

  - name: onboarding of service # noqa 301
    become: no
    shell: |
      cd onap_tests
      source onboard/bin/activate
      python {{ ansible_env.PWD }}/scripts/onboard/onboard.py
    args:
      executable: /bin/bash
    environment:
      http_proxy: "{{ sock_http }}"
      https_proxy: "{{ sock_http }}"
    tags:
        - skip_ansible_lint
